import { renderless, api } from "@xmweb-ui/vue-renderless/user-head-group/vue";
import { defineComponent, props, setup as _setup } from "@xmweb-ui/vue-common";
import UserHead from "@xmweb-ui/vue-user-head";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    XmUserHead: UserHead
  },
  props: [].concat(props, ["groupSize", "list"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: [_vm.state.list.length === 3 ? "block text-center" : "flex items-center justify-around flex-wrap"],
    style: {
      "width": _vm.groupSize * 2 + 2 + "px",
      "min-height": _vm.groupSize * 2 + 2 + "px"
    }
  }, [_vm.state.list.length === 3 ? [_c("div", {
    staticClass: "leading-[0] mb-px"
  }, [_c("xm-user-head", {
    attrs: {
      "round": _vm.state.list[0].round,
      "type": _vm.state.list[0].type
    },
    model: {
      value: _vm.state.list[0].modelValue,
      callback: function callback($$v) {
        _vm.$set(_vm.state.list[0], "modelValue", $$v);
      },
      expression: "state.list[0].modelValue"
    }
  })], 1), _c("div", {
    staticClass: "flex items-center justify-around"
  }, _vm._l(_vm.state.list.slice(1, 3), function(item, i) {
    return _c("div", {
      key: i,
      staticClass: "inline-block leading-[0]"
    }, [_c("xm-user-head", {
      attrs: {
        "round": item.round,
        "type": item.type
      },
      model: {
        value: item.modelValue,
        callback: function callback($$v) {
          _vm.$set(item, "modelValue", $$v);
        },
        expression: "item.modelValue"
      }
    })], 1);
  }), 0)] : _vm._l(_vm.state.list.slice(0, 4), function(item, i) {
    return _c("div", {
      key: i,
      staticClass: "leading-[0]"
    }, [_c("xm-user-head", {
      attrs: {
        "round": item.round,
        "type": item.type
      },
      model: {
        value: item.modelValue,
        callback: function callback($$v) {
          _vm.$set(item, "modelValue", $$v);
        },
        expression: "item.modelValue"
      }
    })], 1);
  })], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
